liborigin2: Origin::Rect Struct Reference

liborigin2 29/08/2011

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
Origin::Rect Struct Reference

`#include <OriginObj.h>`

## Public Member Functions
int | height () const
bool | isValid () const
| Rect (short width=0, short height=0)
int | width () const

## Public Attributes
short | bottom
short | left
short | right
short | top

## Constructor & Destructor Documentation

Origin::Rect::Rect | ( | short | width = `0`,
|  | short | height = `0`
| ) |  |
| inline

## Member Function Documentation

int Origin::Rect::height | ( | ) |  | const
| inline

Referenced by Origin850Parser::readGraphInfo(), Origin410Parser::readGraphInfo(), Origin500Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin610Parser::readGraphInfo(), and Origin750Parser::readGraphInfo().

bool Origin::Rect::isValid | ( | ) |  | const
| inline

int Origin::Rect::width | ( | ) |  | const
| inline

Referenced by Origin850Parser::readGraphInfo(), Origin410Parser::readGraphInfo(), Origin500Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin610Parser::readGraphInfo(), and Origin750Parser::readGraphInfo().

## Member Data Documentation

short Origin::Rect::bottom

Referenced by Origin750Parser::parse(), Origin500Parser::readNotes(), Origin800Parser::readNotes(), and Origin610Parser::readNotes().

short Origin::Rect::left

Referenced by Origin750Parser::parse(), Origin850Parser::readGraphInfo(), Origin410Parser::readGraphInfo(), Origin610Parser::readGraphInfo(), Origin500Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), Origin500Parser::readNotes(), Origin800Parser::readNotes(), and Origin610Parser::readNotes().

short Origin::Rect::right

Referenced by Origin750Parser::parse(), Origin500Parser::readNotes(), Origin800Parser::readNotes(), and Origin610Parser::readNotes().

short Origin::Rect::top

Referenced by Origin750Parser::parse(), Origin850Parser::readGraphInfo(), Origin410Parser::readGraphInfo(), Origin610Parser::readGraphInfo(), Origin500Parser::readGraphInfo(), Origin700Parser::readGraphInfo(), Origin750Parser::readGraphInfo(), Origin500Parser::readNotes(), Origin800Parser::readNotes(), and Origin610Parser::readNotes().

The documentation for this struct was generated from the following file:

- /build/liborigin2/src/liborigin2/OriginObj.h